
Application: gvSIG desktop - gvSIG bugs #2091
JDBCStoreProvider doesn't now how to create a "count" sql for direct-sql connection
11/06/2013 03:57 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

JDBCStoreProvider.compoundCountSelect, for sources which specifies a SQL as source, return null. This produces a NPE when
JDBC driver tries to execute a Null string.

This patch fixes the problem.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2090: No default geometr... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2089: Erroneous conditio... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2100: direct-sql sources... Closed

History
#1 - 11/11/2013 11:33 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 11/11/2013 11:52 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed method for creating SQL count sentence. Patch provided by jmvivo.

gvsig-desktop:r40877

#3 - 01/13/2014 09:39 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#4 - 01/28/2014 09:28 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
fixes_count_sql_for_direct-sql_sources.patch 848 Bytes 11/06/2013 Jose Manuel Vivó Arnal
